FUNCTION VALUE(3)

NAME
boost::program_options::value

SYNOPSIS

// In header: <boost/program_options/value_semantic.hpp>
template<typename T> typed_value< T > * value();
template<typename T> typed_value< T > * value(T * v);

DESCRIPTION

Creates a typed_value<T> instance. This function is the primary method to create value_semantic instance for a specific type, which can later be passed to 'option_description' constructor. The second overload is used when it's additionally desired to store the value of option into program variable.